Bug 217076 - ChapMS2 is broken in pppd-2.4.4
ChapMS2 is broken in pppd-2.4.4
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ppp (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Nagy
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-23 14:48 EST by gknispel
Modified: 2016-07-26 19:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-12 05:31:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch which fix the bug (477 bytes, patch)
2006-11-23 14:48 EST, gknispel
no flags Details | Diff

  None (edit)
Description gknispel 2006-11-23 14:48:15 EST
Description of problem:
from 2.4.3 to 2.4.4 "response" in ChapMS2() has been changed from a pointer to
structure to a pointer to unsigned char but a sizeof(*response) has not been
modified in a BZERO call, so pppd generate bad response packets when using this
protocol

Version-Release number of selected component (if applicable):
N/A

How reproducible:
Always

Steps to Reproduce:
1. Try to connect to a paranoid pptp server using MS-Chap-V2 and if it check for
empty fields where the RFC says fields must be empty it will fail...
2.
3.
  
Actual results:
You can't connect to some pptp servers

Expected results:
You should be able to connect to those pptp servers

Additional info:
A patch is attached
I'll send it upstream too...
Comment 1 gknispel 2006-11-23 14:48:16 EST
Created attachment 142009 [details]
Patch which fix the bug
Comment 2 Martin Nagy 2008-03-12 05:31:14 EDT
Fixed in ppp-2.4.4-6.fc9
Comment 3 Martin Nagy 2008-03-12 05:46:43 EDT
Changing component back to ppp, I have no idea how the heck did it change to
"4suite"

Note You need to log in before you can comment on or make changes to this bug.